## org.metaabm.act.impl
Class ALoadAgentsImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.act.impl.AActImpl
                          org.metaabm.act.impl.ASelectImpl
                              org.metaabm.act.impl.ACreateAgentsImpl
                                  org.metaabm.act.impl.ALoadAgentsImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AAct, ACreateAgents, ALoadAgents, ASelect, IAct, IID

Direct Known Subclasses:
  ALoadShapedAgentsImpl

    public class ALoadAgentsImpl

extends ACreateAgentsImpl
implements ALoadAgents

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `SOURCE_URL_EDEFAULT` The default value of the '`Source URL`' attribute.
`protected java.lang.String` `sourceURL` The cached value of the '`Source URL`' attribute.

Fields inherited from class org.metaabm.act.impl.ACreateAgentsImpl
`agentCount`

Fields inherited from class org.metaabm.act.impl.ASelectImpl
`agent, for_, FOR_EDEFAULT, space`

Fields inherited from class org.metaabm.act.impl.AActImpl
`selected, sources, targets`

Fields inherited from class org.metaabm.impl.IIDImpl
`id, ID_EDEFAULT, label, LABEL_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ALoadAgentsImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getSourceURL()`
`void` `setSourceURL(java.lang.String newSourceURL)`
`java.lang.String` `toString()`

Methods inherited from class org.metaabm.act.impl.ACreateAgentsImpl
`basicGetAgentCount, getAgentCount, setAgentCount`

Methods inherited from class org.metaabm.act.impl.ASelectImpl
`basicGetAgent, basicGetSpace, getAgent, getFor, getSpace, isReachable, setAgent, setFor, setSpace`

Methods inherited from class org.metaabm.act.impl.AActImpl
`basicGetReference, basicGetRootSelected, basicGetSelected, basicSetGroup, computeAllSources, computeAllTargets, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isTargetOf, references, setGroup, setSelected`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setID, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.act.ACreateAgents
`getAgentCount, setAgentCount`

Methods inherited from interface org.metaabm.act.ASelect
`getAgent, getFor, getSpace, setAgent, setFor, setSpace`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### SOURCE_URL_EDEFAULT

    protected static final java.lang.String SOURCE_URL_EDEFAULT

  The default value of the '`Source URL`' attribute.

  See Also:
    `getSourceURL()`

### sourceURL

    protected java.lang.String sourceURL

  The cached value of the '`Source URL`' attribute.

  See Also:
    `getSourceURL()`

Constructor Detail

### ALoadAgentsImpl

    protected ALoadAgentsImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ACreateAgentsImpl`

### getSourceURL

    public java.lang.String getSourceURL()

  Specified by:
    `getSourceURL` in interface `ALoadAgents`
  Returns:
    the value of the 'Source URL' attribute.
  See Also:
    `ALoadAgents.setSourceURL(String)`, `MetaABMActPackage.getALoadAgents_SourceURL()`

### setSourceURL

    public void setSourceURL(java.lang.String newSourceURL)

  Specified by:
    `setSourceURL` in interface `ALoadAgents`
  Parameters:
    `newSourceURL` - the new value of the 'Source URL' attribute.
  See Also:
    `ALoadAgents.getSourceURL()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `ACreateAgentsImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `ACreateAgentsImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `ACreateAgentsImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `ACreateAgentsImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ASelectImpl`